Skip to navigation

List Instruments

Beta

Lists all available stored instruments for a store. This list will include all types of stored instruments namely card, account, and bank_account instruments.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional
The requested page.
limitintegerOptional
The maximum number of results.
afterstringOptional

The cursor reference of the last entry for the previous page. Use the end_cursor value from the last response to get the next page (end_cursor is only returned on the first page or when the request contains query parameter before or after). For example after=ODc%3D.

beforestringOptional

The cursor reference of the first entry for the next page. Use the start_cursor value from the last response to get the previous page (start_cursor is only returned on the first page or when the request contains query parameter before or after). For example before=ODg%3D.

Response

OK
datalist of objectsOptional
metaobjectOptional

Data about the response, including pagination and collection totals. Both pagination and cursor_pagination would be returned on the first page. Only pagination will be returned when you provide the page parameter, which is greater than the first page. Only cursor_pagination would be returned when you provide the before or after parameters in the request that are greater than the first page.

Errors

401
Unauthorized Error